Package relaxngcc.grammar

# Class Pattern

java.lang.Object
relaxngcc.grammar.Pattern

Direct Known Subclasses:
  `BinaryPattern`, `DataPattern`, `EmptyPattern`, `JavaBlock`, `ListPattern`, `MarkupPattern`, `NotAllowedPattern`, `OneOrMorePattern`, `RefPattern`, `Scope`, `ValuePattern`

public abstract class Pattern extends Object

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`Pattern()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pattern

public Pattern()

## Method Details

### apply

public abstract Object apply(PatternFunction f)